<?php require_once('../../Connections/cn.php'); ?>
<?php 
error_reporting(E_ALL); 
//DATOS del personal
	$id_carrera=$_GET['id_carrera'];
	//$id_sede=$_GET['id_sede'];
	$id_alumno=$_GET['id_alumno'];
	/*$id_carrera='30A';
	$id_sede='14';
	$id_alumno='13';*/
	$sql0 = "SELECT sede FROM carreras_alumno WHERE id_alumno='$id_alumno' AND cod_carrera='$id_carrera'";
	$rs0 = mysql_query($sql0, $cn);
	$row0 = mysql_fetch_assoc($rs0);
	$id_sede=$row0['sede'];
	
	
	mysql_select_db($database_cn, $cn);
	$sql1 = "SELECT * FROM carreras WHERE id_carrera='$id_carrera'";
	$rs1 = mysql_query($sql1, $cn);
	$row1 = mysql_fetch_assoc($rs1);
	$carrera=$row1['nombre_carrera'];
	
	$sql = "SELECT * FROM alumnos WHERE id_alumno='$id_alumno'";
	$rs = mysql_query($sql, $cn);
	$row = mysql_fetch_assoc($rs);
	$completo=utf8_decode(trim($row['nombres'])." ".trim($row['apellidos']));
	
	
	$cedula=$row['cedula'];
	$tipodoc=$row['tipodoc'];
	$sexo=substr($row['genero'],0,1);
	if ($sexo=='F'){
		$inscrito='inscrita';
		$ciudadano='de la ciudadana: ';
		$portador='portadora';
		}
		else {
		$inscrito='inscrito';
		$ciudadano='del ciudadano: ';
		$portador='portador';
		}
		
	if(substr($tipodoc,0,1)=="C") {
	    $documento=$portador.' de la Cédula de Identidad';
		}
				else {	
		 $documento=$portador.' del Pasaporte';}
		
		

    // Busca el nombre de la sede.
	$sql_sede = "SELECT ciudad_sede FROM sedes WHERE codigo='$id_sede'";
	$rs_sede = mysql_query($sql_sede, $cn);
	$row_sede = mysql_fetch_assoc($rs_sede);
	$nombre_sede=$row_sede['ciudad_sede'];
	
	$fecha1 = explode("-",date("Y-m-d")); 
	$fecha2 = $fecha1[0].$fecha1[1].$fecha1[2]; 
	$fecha = cambioFecha($fecha2); 
//Aqui quito caracteres que estan demas en el filtro que viene de otra pagina 

// Incluye la calses que se requieren para el reporte. 

include('class.ezpdf.php'); 
require('numerosALetras.class.php');
// Se establece el tipo de página y el formato de impresión.
$pdf = & new Cezpdf('letter','portraid'); 
$diff=array(225=>'aacute',233=>'eacute',
            237=>'iacute',243=>'oacute',
            250=>'uacute',252=>'udieresis',
            241=>'ntilde',209=>'Ntilde');

$pdf->selectFont('fonts/Times-Roman.afm',array('encoding'=>'WinAnsiEncoding','differences'=>$diff));

// coloca una linea arriba y abajo de todas las paginas 
$fechs = date("d/m/y"); 
$all = $pdf->openObject(); 
$pdf->saveState(); 
$pdf->setStrokeColor(0,0,0,1); 
$pdf->ezSetCmMargins(3,1,3,3);
// Inicio del Encabezado.
/*$imagen=ImageCreatefromjpeg('../../imagenes/ulac.jpg');
$pdf->addImage($imagen,35,$pdf->y-55,100,0);

$pdf->ezText("               UNIVERSIDAD LATINOAMERICANA Y DEL CARIBE",14,array('justification'=>'full'));*/
$pdf->ezsetdy(-90);
$pdf->ezText("CERTIFICACION DE CALIFICACIONES",16,array('justification'=>'center'));
$pdf->ezsetdy(-30);

//$diff=array(225=>'&aacute;',233=>'&eacute',237=>'&iacute',243=>'&oacute',250=>'&uacute',241=>'&ntilde',209=>'&Ntilde');
//$pdf->selectFont('fonts/Helvetica.afm',array('encoding'=>'WinAnsiEncoding','differences'=>$diff));
$titulo_obtenido="";

$texto="     Quien suscribe, Dra. Olga Duran de Mostaffá, Rectora de la Universidad Latinoamericana y del Caribe (ULAC), certifica que en el Departamento de Control y Evaluación de Estudios reposa un expediente $ciudadano$completo, $documento Nro. $cedula, y en cuyo registro académico consta que obtuvo las calificaciones anexas al presente documento en el postgrado $carrera.";


$emitido="      Certificación que se expide a petición de la parte interesada en $nombre_sede, ".$fecha.".";


$pdf->ezText($texto,14,array('justification'=>'full','spacing'=>'1.5'));

$pdf->ezsetdy(-30);

$pdf->ezText($emitido,14,array('justification'=>'full','spacing'=>'1.5'));

$pdf->ezsetdy(-30);
$pdf->ezText("Atentamente,",14,array('justification'=>'center'));
$pdf->ezsetdy(-85);
//$pdf->ezText("_______________________________________",12,array('justification'=>'center'));
//$pdf->ezsetdy(-5);
$pdf->ezText("Dra. Olga Durán de Mostaffá",14,array('justification'=>'center'));
$pdf->ezsetdy(-5);
$pdf->ezText("Rectora de la Universidad Latinoamericana y del Caribe (ULAC).",14,array('justification'=>'center'));

$pdf->ezStartPageNumbers(550,40,7,'','Pág '.'{PAGENUM} de {TOTALPAGENUM}',1); 

//notas
$pdf->ezNewPage();
notas($pdf,$database_cn, $cn, $id_carrera, $cedula, $completo, $carrera, $id_alumno);

//ultima pagina
$pdf->ezNewPage();
$diff=array(225=>'aacute',233=>'eacute',
            237=>'iacute',243=>'oacute',
            250=>'uacute',252=>'udieresis',
            241=>'ntilde',209=>'Ntilde');

$pdf->selectFont('fonts/Times-Roman.afm',array('encoding'=>'WinAnsiEncoding','differences'=>$diff));
//normas
$pdf->ezsetdy(-50);
$pdf->ezText("<b>NORMAS:</b>",11,array('justification'=>'full'));
$pdf->ezsetdy(-5);
$pdf->ezText("A) Escala de calificaciones está comprendida del uno (1) al cinco (5), ambas inclusive.",11,array('justification'=>'full'));
$pdf->ezsetdy(-5);
$pdf->ezText("B) La calificación mínima aprobatoria es de tres (3) puntos. Las personas que estan cursando doctorados aprueban con tres (3) puntos pero al terminar el doctorado deben tener acumulado como mínimo 3.75 puntos.",11,array('justification'=>'full'));

//nota
$pdf->ezsetdy(-30);
$pdf->ezText("<b>NOTA:</b>",11,array('justification'=>'full'));
$pdf->ezsetdy(-5);
$pdf->ezText("CUALQUIER DISCREPANCIA ENCONTRADA ENTRE ESTE DOCUMENTO Y LAS ACTAS ORIGINALES, SE TOMARA COMO VALIDA, LA NOTA QUE INDIQUE EL ACTA",11,array('justification'=>'full'));

//abreviaciones
$pdf->ezsetdy(-30);
$pdf->ezText("<b>ABREVIACIONES:</b>",11,array('justification'=>'full'));
$pdf->ezsetdy(-5);
$pdf->ezText("<b>Secc: </b>Sección      <b>U.C.:</b> Unidades de Crédito",11,array('justification'=>'full'));

//despedida
$pdf->ezsetdy(-30);
$pdf->ezText($emitido,12,array('justification'=>'full','spacing'=>'1.5'));
$pdf->ezsetdy(-30);
$pdf->ezText("Atentamente,",12,array('justification'=>'center'));
$pdf->ezsetdy(-85);
//$pdf->ezText("_______________________________________",12,array('justification'=>'center'));
//$pdf->ezsetdy(-5);
$pdf->ezText("Ing. Magaly Useche",12,array('justification'=>'center'));
$pdf->ezsetdy(-5);
$pdf->ezText("Jefa del Departamento de Evaluación y Control Estudios",12,array('justification'=>'center'));
//$pdf->ezsetdy(-5);
//$pdf->ezText("y Control Estudios",12,array('justification'=>'center'));
// Fin del Pie de Página.

// Se restaura el objeto y se cierra, para que de el salto de página.
$pdf->restoreState(); 
$pdf->closeObject(); 
// Establece los margenes para imprimir el cuerpo del reporte.

$pdf->addObject($all,'all'); 
$pdf->ezStream(); 

function cambioFecha($fecha){ //$fecha es de este formato --> ej: 20081229 
	$tieneCeroDiaMes = substr($fecha,6,1); 
	if ($tieneCeroDiaMes == 0) { 
		$diaMes = substr($fecha,7,1); 
	} else { 
		$diaMes = substr($fecha,6,2); 
	} 
	
	$Mes = substr($fecha,4,2); 
	$Mes = str_replace("01","Enero",$Mes); 
	$Mes = str_replace("02","Febrero",$Mes); 
	$Mes = str_replace("03","Marzo",$Mes); 
	$Mes = str_replace("04","Abril",$Mes); 
	$Mes = str_replace("05","Mayo",$Mes); 
	$Mes = str_replace("06","Junio",$Mes); 
	$Mes = str_replace("07","Julio",$Mes); 
	$Mes = str_replace("08","Agosto",$Mes); 
	$Mes = str_replace("09","Septiembre",$Mes); 
	$Mes = str_replace("10","Octubre",$Mes); 
	$Mes = str_replace("11","Noviembre",$Mes); 
	$Mes = str_replace("12","Diciembre",$Mes); 
	
	$Anio = substr($fecha,0,4); 
	if ($diaMes=='1') {
	    return "al ".$diaMes." día del mes de ".$Mes." de ".$Anio."";
	}
	else {
	    return "a los ".$diaMes." días del mes de ".$Mes." de ".$Anio."";
	}
	 
}
	
function notas($pdf, $database_cn, $cn, $id_carrera, $cedula, $completo, $carrera, $id_alumno)
{
		// Selecciono la Base de Datos. 
		mysql_select_db($database_cn); 
		
		/* Datos del Período.
		$sql2x = "select * from periodos where codigo='$periodo'";
		$rs2x=mysql_query($sql2x,$cn);
		$row2x=mysql_fetch_array($rs2x);
		$descripcion='('.$row2x['mes_inicio'].'-'.$row2x['mes_fin'].')';*/
		
		// Datos de la Carrera.
		$sql3x = "select nombre_carrera from carreras where id_carrera='$id_carrera'";
		$rs3x=mysql_query($sql3x,$cn);
		$row3x=mysql_fetch_array($rs3x);
		$nom_carrera=$row3x['nombre_carrera'];
		
		$all = $pdf->openObject(); 
		$pdf->saveState(); 
		$pdf->setStrokeColor(0,0,0,1); 
		// Se define el query de los datos que contendrá el reporte.
		mysql_select_db($database_cn, $cn);
		$queryx = "SELECT alumnos.cedula,alumnos.apellidos, alumnos.nombres, historico_notas.nota, historico_notas.id_materia, historico_notas.seccion, historico_notas.periodo, materias.nombre_materia, materias.uc, periodos.id_periodo FROM alumnos,historico_notas, materias, periodos where alumnos.id_alumno=historico_notas.id_alumno and historico_notas.id_carrera='$id_carrera' and historico_notas.id_materia=materias.id_materia and historico_notas.id_alumno='$id_alumno' and periodos.codigo=historico_notas.periodo order by periodos.id_periodo";
		$resultx = mysql_query ($queryx ) or die (mysql_error()); 
		$result99 = mysql_query ($queryx ) or die (mysql_error()); 

		$totalRows = mysql_num_rows($resultx);
		
		// Inicio del Encabezado.
		/*$imagen=ImageCreatefromjpeg('../../imagenes/ulac.jpg');
		$pdf->addImage($imagen,35,$pdf->y-55,100,0);
		$pdf->selectFont('/fonts/Helvetica.afm');
		$pdf->ezText("                         Universidad Latinoamericana y del Caribe",14,array('justification'=>'full'));
		$pdf->ezText("                                   Rectorado",10,array('justification'=>'left'));
		$pdf->ezText("                                   Control de Estudios",10,array('justification'=>'left')); */
		$pdf->ezsetdy(-90);
		$pdf->ezText("CERTIFICACIÓN DE CALIFICACIONES",16,array('justification'=>'center'));
		$pdf->ezsetdy(-20);
		$pdf->ezText("CEDULA: ".$cedula."     NOMBRE: ".$completo,9,array('justification'=>'full'));
		$pdf->ezsetdy(-3);
		$pdf->ezText("POSTGRADO: ".$nom_carrera,9,array('justification'=>'full'));
		$pdf->ezsetdy(-20);
		// Fin del Encabezado.
		
		// Inicio del Pie de Página.
		//pie_pagina($pdf);
		// Fin del Pie de Página.
		
		// Se restaura el objeto y se cierra, para que de el salto de página.
		$pdf->restoreState(); 
		$pdf->closeObject(); 
		// Establece los margenes para imprimir el cuerpo del reporte.
		$pdf->ezSetCmMargins(6,3,3.5,3);
		$pdf->addObject($all,'all'); 
		
		// Inicializa array 
		$datax = array(); 
		//Aqui se coloca el header de la Tabla 
		$colsx = array('codigo'=>'CODIGO', 
					  'seccion'=>'SECC.', 
					  'asignatura'=>'ASIGNATURA', 
					  'credito'=>'U.C.', 
					  'nota'=>'NOTA',
					  'enletras'=>'LITERAL'); 
		// Convierte la Nota a Letras.
		// $nota = new numerosALetras;
		
		$sw=false;
		$row99 = mysql_fetch_row($result99);
		$periodo=$row99[6];
		while ($rowxx = mysql_fetch_row($resultx)) { 
			$codigo      = $rowxx[4];    // id_materia 
			$seccion     = $rowxx[5];    // seccion 
			$asignatura  = $rowxx[7];    // nombre materia 
			$credito     = $rowxx[8];    // unidades de credito 
			$not      = $rowxx[3];    // nota 
			//$nota->convertir($rowxx[3]);
			$enlet=nota_en_letras($rowxx[3]); 
		
			
			// Aqui se agregan las variables formateadas al array 
			if($periodo==$rowxx[6] && $sw==false)
			{
			$data[] = array('codigo'=>"<u><b>LAPSO: ".$periodo."</b></u>",
							'seccion'=>'', 
							'asignatura'=>'', 
							'credito'=>'',
							'nota'=>'', 
							'enletras'=>''); 
							
			$data[] = array('codigo'=>'<b>CODIGO</b>', 
					  'seccion'=>'<b>SECC.</b>', 
					  'asignatura'=>'<b>ASIGNATURA</b>', 
					  'credito'=>'<b>U.C.</b>', 
					  'nota'=>'<b>NOTA</b>',
					  'enletras'=>'<b>LITERAL</b>'); 
							
			$data[] = array('codigo'=>$codigo,
							'seccion'=>$seccion, 
							'asignatura'=>$asignatura, 
							'credito'=>$credito,
							'nota'=>$not, 
							'enletras'=>$enlet); 
							$sw=true;
			}
			else
			{
			$data[] = array('codigo'=>$codigo,
							'seccion'=>$seccion, 
							'asignatura'=>$asignatura, 
							'credito'=>$credito,
							'nota'=>$not, 
							'enletras'=>$enlet); 
				
				if($periodo!=$rowxx[6])
				{
					$periodo=$rowxx[6];
					$sw=false;
				}
			}
		} 
		
		$la_config=array('showHeadings'=>0, // Mostrar encabezados
		'fontSize' => 8, // Tamaño de Letras
		'titleFontSize' => 9,  // Tamaño de Letras de los títulos
		'showLines'=>0, // Mostrar Líneas
		'shaded'=>0, // Sombra entre líneas
		'width'=>500, // Ancho de la tabla
		'maxWidth'=>500, // Ancho Máximo de la tabla
		'xOrientation'=>'center', // Orientación de la tabla
		'cols'=>array(
			'codigo'=>array('justification'=>'center','width'=>80),
			'seccion'=>array('justification'=>'center','width'=>35),
			'asignatura'=>array('justification'=>'left','width'=>210),
			'credito'=>array('justification'=>'center','width'=>30),
			'nota'=>array('justification'=>'center','width'=>35),
			'enletras'=>array('justification'=>'center','width'=>110)));

		$diff=array(160=>'á',162=>'ó',
		130=>'é',163=>'ú',
		161=>'í');
		$pdf->selectFont('./fonts/Helvetica.afm',array('encoding'=>'WinAnsiEncoding','differences'=>$diff));

		$pdf->ezTable($data,$colsx,'',$la_config);// salida 
		//pie_pagina($pdf);
			
		function pie_pagina($pdf)
		{
			// Facilitador(a).
			$pdf->Rectangle(58,25,500,185);
			$pdf->addText(280,201,8,'Facilitador(a)');
			$pdf->line(58,197,558,197); 
			$pdf->addText(65,190,7,'Nombres y Apellidos');
			$pdf->addText(400,190,7,'Fecha');
			$pdf->addText(65,180,8,$nom_docente);
			$pdf->addText(430,180,7,'____/____/______ ');
			$pdf->addText(65,170,7,'Cédula o Pasaporte');
			$pdf->addText(400,170,7,'Firma');
			$pdf->addText(65,160,9,$id_docente);
			$pdf->line(58,158,558,158); 
			// Coordinador General del Programa.
			$pdf->addText(245,149,8,'Coordinación General del Programa');
			$pdf->line(58,145,558,145); 
			$pdf->addText(65,138,7,'Nombres y Apellidos');
			$pdf->addText(400,138,7,'Fecha');
			$pdf->addText(430,128,7,'____/____/______ ');
			$pdf->addText(65,118,7,'Cédula o Pasaporte');
			$pdf->addText(400,118,7,'Firma');
			$pdf->line(58,105,558,105); 
			// Dirección de Postgrado
			$pdf->addText(260,96,8,'Dirección de Post-Grado');
			$pdf->line(58,92,558,92); 
			$pdf->addText(65,82,7,'Nombres y Apellidos');
			$pdf->addText(400,82,7,'Fecha');
			$pdf->addText(65,72,9,'');
			$pdf->addText(430,72,7,'____/____/______ ');
			$pdf->addText(65,62,7,'Cédula o Pasaporte');
			$pdf->addText(400,62,7,'Firma');
			$pdf->line(58,49,558,49); 
			$pdf->line(375,25,375,49); 
			// Leyenda al pie de página.
			$pdf->addText(65,42,5,'Escala de Evaluación: Del Uno (1) al Cinco (5)');
			$pdf->addText(380,42,5,'V°B° REGISTRO ACADÉMICO');
			$pdf->addText(65,35,5,'Calificación Mínima Aprobatoria: Tres (3) puntos');
			$pdf->addText(65,28,5,'Leyenda: I=Inasistente');
		$pdf->addText(270,17,7,'VA SIN ENMIENDA');
		}
	}
	
function ultima_hoja($pdf, $cedula, $completo, $carrera)
{
		// Inicio del Encabezado.
		$imagen=ImageCreatefromjpeg('../../imagenes/ulac.jpg');
		$pdf->addImage($imagen,35,$pdf->y-55,100,0);
		$pdf->selectFont('/fonts/Helvetica.afm');
		$pdf->ezText("                         Universidad Latinoamericana y del Caribe",14,array('justification'=>'full'));
		$pdf->ezText("                                   Rectorado",10,array('justification'=>'left'));
		$pdf->ezText("                                   Control de Estudios",10,array('justification'=>'left'));
		$pdf->ezsetdy(-20);
		$pdf->ezText("CERTIFICACIÓN DE CALIFICACIÓN",13,array('justification'=>'center'));
		$pdf->ezsetdy(-20);
		$pdf->ezText("Cédula: ".$cedula."     Nombre: ".$completo,9,array('justification'=>'left'));
		$pdf->ezsetdy(-3);
		$pdf->ezText("Postgrado: ".$nom_carrera,9,array('justification'=>'left'));
		$pdf->ezsetdy(-4);
		// Fin del Encabezado.
		// Se restaura el objeto y se cierra, para que de el salto de página.
		$pdf->restoreState(); 
		$pdf->closeObject(); 
		// Establece los margenes para imprimir el cuerpo del reporte.
		$pdf->ezSetCmMargins(6,3,3.5,3);
		$pdf->addObject($all,'all'); 
		
	}	
	
function nota_en_letras($nota)
{
   // Extraigo la parte entera y la parte decimal de la Nota.
   $entero=substr($nota,0,1);
   $decimal=substr($nota,2,2);
  
   // Convierto la Parte entera de la Nota en letras.
   switch ($entero)
   {
   	   case 0:
	    $entero_en_letras='Cero';
		break;	
	  case 1:
	    $entero_en_letras='Uno';
		break;	
	  case 2:
	  	$entero_en_letras='Dos';
		break;
	  case 3:
	  	$entero_en_letras='Tres';
		break;
	  case 4:
	  	$entero_en_letras='Cuatro';
		break;
	  case 5:
	  	$entero_en_letras='Cinco';
		break;
   }
   // Convierto la Parte Decimal de la Nota en letras. 
   switch ($decimal)
   {
    case 00:
	    $decimal_en_letras='';
		break;					 
	case 01:
	    $decimal_en_letras='Cero Uno';
		break;	
	case 02:
	    $decimal_en_letras='Cero Dos';
		break;	
	case 03:
	    $decimal_en_letras='Cero Tres';
		break;
	case 04:
	    $decimal_en_letras='Cero Cuatro';
		break;	
	case 05:
	    $decimal_en_letras='Cero Cinco';
		break;	
	case 06:
	    $decimal_en_letras='Cero Seís';
		break;	
	case 07:
	    $decimal_en_letras='Cero Siete';
		break;	
	case 08:
	    $decimal_en_letras='Cero Ocho';
		break;	
	case 09:
	    $decimal_en_letras='Cero Nueve';
		break;	
	case 10:
	    $decimal_en_letras='Diez';
		break;	
	case 11:
	    $decimal_en_letras='Once';
		break;	
	case 12:
	    $decimal_en_letras='Doce';
		break;	
	case 13:
	    $decimal_en_letras='Trece';
		break;	
	case 14:
	    $decimal_en_letras='Catorce';
		break;	
	case 15:
	    $decimal_en_letras='Quince';
		break;	
	case 16:
	    $decimal_en_letras='Dieciseis';
		break;	
	case 17:
	    $decimal_en_letras='Diecisiete';
		break;	
	case 18:
	    $decimal_en_letras='Dieciocho';
		break;	
	case 19:
	    $decimal_en_letras='Diecinueve';
		break;	
	case 20:
	    $decimal_en_letras='Veinte';
		break;	
	case 21:
	    $decimal_en_letras='Veintiuno';
		break;	
	case 22:
	    $decimal_en_letras='Veintidos';
		break;
	case 23:
	    $decimal_en_letras='Veintitres';
		break;
	case 24:
	    $decimal_en_letras='Veinticuatro';
		break;
	case 25:
	    $decimal_en_letras='Veinticinco';
		break;
	case 26:
	    $decimal_en_letras='Veintiseis';
		break;
	case 27:
	    $decimal_en_letras='Veintisiete';
		break;
	case 28:
	    $decimal_en_letras='Veintiocho';
		break;
	case 29:
	    $decimal_en_letras='Veintinueve';
		break;
	case 30:
	    $decimal_en_letras='Treinta';
		break;	
	case 31:
	    $decimal_en_letras='Treinta y Uno';
		break;
	case 32:
	    $decimal_en_letras='Treinta y Dos';
		break;
	case 33:
	    $decimal_en_letras='Treinta y Tres';
		break;
	case 34:
	    $decimal_en_letras='Treinta y Cuatro';
		break;
	case 35:
	    $decimal_en_letras='Treinta y Cinco';
		break;
	case 36:
	    $decimal_en_letras='Treinta y Seis';
		break;
	case 37:
	    $decimal_en_letras='Treinta y Siete';
		break;
	case 38:
	    $decimal_en_letras='Treinta y Ocho';
		break;	
	case 39:
	    $decimal_en_letras='Treinta y Nueve';
		break;	
	case 40:
	    $decimal_en_letras='Cuarenta';
		break;	
	case 41:
	    $decimal_en_letras='Cuarenta y Uno';
		break;	
	case 42:
	    $decimal_en_letras='Cuarenta y Dos';
		break;	
	case 43:
	    $decimal_en_letras='Cuarenta y Tres';
		break;	
	case 44:
	    $decimal_en_letras='Cuarenta y Cuatro';
		break;	
	case 45:
	    $decimal_en_letras='Cuarenta y Cinco';
		break;	
	case 46:
	    $decimal_en_letras='Cuarenta y Seis';
		break;	
	case 47:
	    $decimal_en_letras='Cuarenta y Siete';
		break;	
	case 48:
	    $decimal_en_letras='Cuarenta y Ocho';
		break;	
	case 49:
	    $decimal_en_letras='Cuarenta y Nueve';
		break;	
	case 50:
	    $decimal_en_letras='Cincuenta';
		break;	
	case 51:
	    $decimal_en_letras='Cincuenta y Uno';
		break;	
	case 52:
	    $decimal_en_letras='Cincuenta y Dos';
		break;	
	case 53:
	    $decimal_en_letras='Cincuenta y Tres';
		break;	
	case 54:
	    $decimal_en_letras='Cincuenta y Cuatro';
		break;	
	case 55:
	    $decimal_en_letras='Cincuenta y Cinco';
		break;	
	case 56:
	    $decimal_en_letras='Cincuenta y Seis';
		break;	
	case 57:
	    $decimal_en_letras='Cincuenta y Siete';
		break;	
	case 58:
	    $decimal_en_letras='Cincuenta y Ocho';
		break;	
	case 59:
	    $decimal_en_letras='Cincuenta y Nueve';
		break;	
	case 60:
	    $decimal_en_letras='Sesenta';
		break;	
	case 61:
	    $decimal_en_letras='Sesenta y Uno';
		break;	
	case 62:
	    $decimal_en_letras='Sesenta y Dos';
		break;	
	case 63:
	    $decimal_en_letras='Sesenta y Tres';
		break;	
	case 64:
	    $decimal_en_letras='Sesenta y Cuatro';
		break;	
	case 65:
	    $decimal_en_letras='Sesenta y Cinco';
		break;	
	case 66:
	    $decimal_en_letras='Sesenta y Seis';
		break;	
	case 67:
	    $decimal_en_letras='Sesenta y Siete';
		break;	
	case 68:
	    $decimal_en_letras='Sesenta y Ocho';
		break;	
	case 69:
	    $decimal_en_letras='Sesenta y Nueve';
		break;	
	case 70:
	    $decimal_en_letras='Setenta';
		break;	
	case 71:
	    $decimal_en_letras='Setenta y Uno';
		break;	
	case 72:
	    $decimal_en_letras='Setenta y Dos';
		break;	
	case 73:
	    $decimal_en_letras='Setenta y Tres';
		break;	
	case 74:
	    $decimal_en_letras='Setenta y Cuatro';
		break;	
	case 75:
	    $decimal_en_letras='Setenta y Cinco';
		break;	
	case 76:
	    $decimal_en_letras='Setenta y Seis';
		break;	
	case 77:
	    $decimal_en_letras='Setenta y Siete';
		break;	
	case 78:
	    $decimal_en_letras='Setenta y Ocho';
		break;	
	case 79:
	    $decimal_en_letras='Setenta y Nueve';
		break;	
	case 80:
	    $decimal_en_letras='Ochenta';
		break;	
	case 81:
	    $decimal_en_letras='Ochenta y Uno';
		break;	
	case 82:
	    $decimal_en_letras='Ochenta y Dos';
		break;	
	case 83:
	    $decimal_en_letras='Ochenta y Tres';
		break;	
	case 84:
	    $decimal_en_letras='Ochenta y Cuatro';
		break;	
	case 85:
	    $decimal_en_letras='Ochenta y Cinco';
		break;	
	case 86:
	    $decimal_en_letras='Ochenta y Seis';
		break;	
	case 87:
	    $decimal_en_letras='Ochenta y Siete';
		break;	
	case 88:
	    $decimal_en_letras='Ochenta y Ocho';
		break;	
	case 89:
	    $decimal_en_letras='Ochenta y Nueve';
		break;	
	case 90:
	    $decimal_en_letras='Noventa';
		break;	
	case 91:
	    $decimal_en_letras='Noventa y Uno';
		break;	
	case 92:
	    $decimal_en_letras='Noventa y Dos';
		break;	
	case 93:
	    $decimal_en_letras='Noventa y Tres';
		break;	
	case 94:
	    $decimal_en_letras='Noventa y Cuatro';
		break;	
	case 95:
	    $decimal_en_letras='Noventa y Cinco';
		break;	
	case 96:
	    $decimal_en_letras='Noventa y Seis';
		break;	
	case 97:
	    $decimal_en_letras='Noventa y Siete';
		break;	
	case 98:
	    $decimal_en_letras='Noventa y Ocho';
		break;	
	case 99:
	    $decimal_en_letras='Noventa y Nueve';
		break;	
	default:    
		$decimal_en_letras='';
		break;	
   }
   $en_letras=$entero_en_letras.' '.$decimal_en_letras;			     
   return $en_letras;
}
?> 
